#ifndef PROCESS_H
#define PROCESS_H

#include "PageTable.h"

class Process {
public:
    std::vector<PTE> page_table;
    std::vector<unsigned int> working_set;
    unsigned int execution_time, id;
    Process(unsigned int id, std::vector<PTE> page_table, unsigned int execution_time, unsigned int working_set_size);
    [[nodiscard]] bool is_finished(unsigned int elapsed_time) const;
};

#endif //PROCESS_H
